--- old/usr/src/lib/libc/port/locale/localeimpl.c	Mon Jun  2 23:06:27 2014
+++ new/usr/src/lib/libc/port/locale/localeimpl.c	Mon Jun  2 23:06:27 2014
@@ -114,8 +114,14 @@
 	.runelocale = &_DefaultRuneLocale,
 };
 
-locale_t __global_locale = &posix_locale;
+locale_t ___global_locale = &posix_locale;
 
+locale_t
+__global_locale(void)
+{
+	return (___global_locale);
+}
+
 /*
  * Category names for getenv()  Note that this was modified
  * for Solaris.  See <iso/locale_iso.h>.
@@ -396,7 +402,7 @@
 		errno = EINVAL;
 		return (NULL);
 	}
-	loc = duplocale(base != NULL ? base : __global_locale);
+	loc = duplocale(base != NULL ? base : ___global_locale);
 	if (loc == NULL) {
 		return (NULL);
 	}
@@ -418,7 +424,7 @@
 		__locdata_release(loc->locdata[i]);
 		loc->locdata[i] = ldata;
 	}
-	if (base && base != __global_locale) {
+	if (base && base != ___global_locale) {
 		freelocale(base);
 	}
 	loc->collate = loc->locdata[LC_COLLATE]->l_data[0];
@@ -434,7 +440,7 @@
 locale_t
 uselocale(locale_t loc)
 {
-	locale_t lastloc = __global_locale;
+	locale_t lastloc = ___global_locale;
 	locale_t *locptr;
 
 	locptr = tsdalloc(_T_SETLOCALE, sizeof (locale_t), freelocptr);
@@ -453,7 +459,7 @@
 		 * Set it to LC_GLOBAL_LOCAL to return to using
 		 * the global locale (setlocale).
 		 */
-		if (loc == __global_locale) {
+		if (loc == ___global_locale) {
 			*locptr = NULL;
 		} else {
 			/* No validation of the provided locale at present */
